summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2006-04-22 10:46:20 +0000
committerLennart Poettering <lennart@poettering.net>2006-04-22 10:46:20 +0000
commitfc02fb4cf63f58110a19285bd097bdce744a3ecc (patch)
treea64f5f5c09f8698c8ba5f72d978fa68cc1697f0f
parente6407e062e0c5dddcc40ff73da0c363d84aaddb3 (diff)
build system updates
git-svn-id: file:///home/lennart/svn/public/syrep/trunk@102 07ea20a6-d2c5-0310-9e02-9ef735347d72
-rw-r--r--Makefile.am5
-rwxr-xr-xbootstrap.sh32
-rw-r--r--configure.ac2
3 files changed, 25 insertions, 14 deletions
diff --git a/Makefile.am b/Makefile.am
index a7f8e7a..8795bf0 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -34,10 +34,7 @@ homepage: all dist
cp doc/README.html doc/style.css man/syrep.1.xml man/xmltoman.css man/xmltoman.xsl man/xmltoman.dtd $$HOME/homepage/private/projects/syrep
ln -sf README.html $$HOME/homepage/private/projects/syrep/index.html
-distcleancheck:
- @:
-
deb:
dpkg-buildpackage -rfakeroot
-.PHONY: homepage distcleancheck deb
+.PHONY: homepage deb
diff --git a/bootstrap.sh b/bootstrap.sh
index 784a9d7..27ffb51 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -17,29 +17,43 @@
# along with syrep; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+VERSION=1.9
+
run_versioned() {
local P
- type -p "$1-$2" &> /dev/null && P="$1-$2" || local P="$1"
+ local V
+
+ V=$(echo "$2" | sed -e 's,\.,,g')
+
+ if [ -e "`which $1$V`" ] ; then
+ P="$1$V"
+ else
+ if [ -e "`which $1-$2`" ] ; then
+ P="$1-$2"
+ else
+ P="$1"
+ fi
+ fi
shift 2
"$P" "$@"
}
+set -ex
+
if [ "x$1" = "xam" ] ; then
- set -ex
- run_versioned automake 1.7 -a -c --foreign
+ run_versioned automake "$VERSION" -a -c --foreign
./config.status
else
- set -ex
rm -rf autom4te.cache
rm -f config.cache
- run_versioned aclocal 1.7
- autoheader
- run_versioned automake 1.7 -a -c
- autoconf -Wall
+ run_versioned aclocal "$VERSION"
+ run_versioned autoconf 2.59 -Wall
+ run_versioned autoheader 2.59
+ run_versioned automake "$VERSION" -a -c --foreign
- CFLAGS="-g -O1" ./configure --sysconfdir=/etc "$@"
+ CFLAGS="-g -O0" ./configure --sysconfdir=/etc "$@"
make clean
fi
diff --git a/configure.ac b/configure.ac
index 66d8220..7b6f91a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -23,7 +23,7 @@ AC_PREREQ(2.59)
AC_INIT([syrep],[0.8],[mzflerc (at) 0pointer (dot) de])
AC_CONFIG_SRCDIR([src/syrep.c])
AC_CONFIG_HEADERS([config.h])
-AM_INIT_AUTOMAKE([foreign -Wall])
+AM_INIT_AUTOMAKE([foreign 1.9 -Wall])
# Checks for programs.
AC_PROG_CC